Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ericsson.otp.erlang.OtpException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OtpAuthException, OtpErlangException

    public abstract class OtpException

extends java.lang.Exception

Base class for the other OTP exception classes.

See Also:
  Serialized Form

Constructor Summary
`OtpException()` Provides no message.
`OtpException(java.lang.String msg)` Provides a detailed message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpException

    public OtpException()

  Provides no message.

### OtpException

    public OtpException(java.lang.String msg)

  Provides a detailed message.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD